For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all amenities
        • GETGet an amenity by ID
        • PUTUpdate Amenity: Rent Manager - Not Supported
        • POSTCreate Property Amenity: Rent Manager
        • POSTCreate Unit Amenity: Rent Manager
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Rent ManagerAmenities

Get an amenity by ID

GET
/v1/amenities/:amenity_id
GET
/v1/amenities/:amenity_id
$curl https://api.propexo.com/v1/amenities/amenity_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "RM-amenity-4582",
17 "x_listing_id": null,
18 "x_parent_amenity_id": "RM-parent-amenity-102",
19 "x_property_id": "RM-property-7894",
20 "cost_in_cents": null,
21 "custom_data": {},
22 "description": "Accent walls throughout the living room and bedrooms for a modern aesthetic.",
23 "image_urls": null,
24 "is_unit_amenity": true,
25 "meta_data": null,
26 "name_normalized": "ACCENT_WALLS",
27 "name": "Accent Walls",
28 "units": [
29 {
30 "amenity_id": "cm2j4ivcv0000eioz6rd365se",
31 "unit_id": "cm2j4jbzf0002eiozdudz9bda",
32 "cost_in_cents": null
33 }
34 ],
35 "integration_id": "clwh5u07w000508me66sfh3um",
36 "integration_vendor": "RENTMANAGER",
37 "property_id": "clwi5xiix000008l6ctdgafyh",
38 "x_unit_id": null
39 }
40}
Get an amenity by ID
Was this page helpful?
Previous

Update Amenity: Rent Manager - Not Supported

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

amenity_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error